//
//  AppDelegate.m
//  BlurWindow
//
//  Created by AphoticD on 14/08/17.
//  Copyright 2017 Aphotic. All rights reserved.
//

#import "AppDelegate.h"
#import "BlurWindow.h"

@implementation AppDelegate

@synthesize window;

- (BlurWindow *) frontWindow
{
	return (BlurWindow *)[[NSApp orderedWindows] objectAtIndex:0];
} //frontWindow


- (IBAction) setAlphaFromSlider: (id) sender
{
	[[self frontWindow] setBackgroundColor:[[[self frontWindow] backgroundColor]
											colorWithAlphaComponent:([sender floatValue] / 100)]];
	[[self frontWindow] invalidateShadow];

} //setAlphaFromSlider:


- (IBAction) setBlurRadiusFromSlider: (id) sender
{
	[[self frontWindow] setBlurRadius:[NSNumber numberWithFloat:[sender floatValue]]];
	[[self frontWindow] enableBlur];
} //setBlurRadiusFromSlider:

- (void) applicationDidFinishLaunching:(NSNotification *) aNotification
{	
	[[self frontWindow] setBlurRadius:[NSNumber numberWithFloat:10.0]];
	[[self frontWindow] enableBlur];
	[[self frontWindow] setBackgroundColor:[NSColor darkGrayColor]];
}

- (void) windowWillClose:(id) sender
{
	[NSApp terminate:sender];
}

@end
