//
//  BlurWindow.m
//  BlurWindow
//
//  Created by AphoticD on 14/08/17.
//  Copyright 2017 Aphotic. All rights reserved.
//

#import "BlurWindow.h"

typedef void* CGSConnectionID;
extern OSStatus CGSNewConnection (const void** attr, CGSConnectionID* id);

@implementation BlurWindow

@synthesize blurRadius;

- (BOOL) isOpaque
{
	return NO;
}

- (void) enableBlur
{
	CGSConnectionID _myConnection;
	uint32_t __compositingFilter = 0;
	int __compositingType = 1;
	
	CGSNewConnection(NULL , &_myConnection);
	CGSNewCIFilterByName (_myConnection, (CFStringRef)@"CIGaussianBlur", &__compositingFilter);
	
	NSDictionary* optionsDict = [NSDictionary dictionaryWithObject:blurRadius forKey:@"inputRadius"];
	CGSSetCIFilterValuesFromDictionary(_myConnection, __compositingFilter, (CFDictionaryRef)optionsDict);
	
	CGSAddWindowFilter(_myConnection, [self windowNumber], __compositingFilter, __compositingType);
} //enableBlur


@end
